package com.bonus.core.device.android.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@ApiModel("安卓设备人员发卡信息下发")
public class CustCardPullVO {
   @ApiModelProperty("更新id")
   private String updateId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("卡序列号 物理卡号")
   private String serialNum;
   @ApiModelProperty("卡状态 1-正常 4-挂失")
   private Integer cardStatus;
   @ApiModelProperty("卡片有效期")
   private LocalDate validityDate;

   public String getUpdateId() {
      return this.updateId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getCardStatus() {
      return this.cardStatus;
   }

   public LocalDate getValidityDate() {
      return this.validityDate;
   }

   public CustCardPullVO setUpdateId(final String updateId) {
      this.updateId = updateId;
      return this;
   }

   public CustCardPullVO setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public CustCardPullVO setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
      return this;
   }

   public CustCardPullVO setCardStatus(final Integer cardStatus) {
      this.cardStatus = cardStatus;
      return this;
   }

   public CustCardPullVO setValidityDate(final LocalDate validityDate) {
      this.validityDate = validityDate;
      return this;
   }



}
